Skip to main content
GET
Get asset download URL

Authorizations

Authorization
string
header
required

Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

Path Parameters

asset_id
string<uuid>
required

The ID of the asset to download

Query Parameters

variant
enum<string>
default:original

File to download: original (the uploaded file), stream_proxy (the web-playable copy), or preview (the thumbnail image).

Available options:
original,
stream_proxy,
preview
prefer_custom_thumbnail
boolean
default:false

For preview, return the custom thumbnail when one is set instead of the generated preview.

Response

Successful Response

API response schema for direct asset file download URLs.

url
string
required

Temporary URL for the upload or download

url_expires_at
string<date-time>
required

UTC datetime when the URL expires